---
# tasks file for ansible-unity3d

- name: Add user {{ interactive_user.name }} to dialout group
  user:
    name: '{{ interactive_user.name }}'
    append: yes
    groups: dialout

- name: Create systemd user units for Unity
  template:
    src: templates/{{ item }}.j2
    dest: "{{ interactive_user.home }}/.config/systemd/user/{{ item }}"
    owner: "{{ interactive_user.name }}"
    group: "{{ interactive_user.name }}"
  with_items: "{{ units_game }}"

- name: Enable systemd user units for Unity
  systemd:
    name: "{{ item }}"
    enabled: yes
    daemon_reload: yes
    scope: user
  become_user: "{{ interactive_user.name }}"
  become: yes
  environment:
    XDG_RUNTIME_DIR: "/run/user/{{ interactive_user.id }}"
    DBUS_SESSION_BUS_ADDRESS: "unix:path=/run/user/{{ interactive_user.id }}/bus"
  with_items: "{{ units_game }}"

- name: Set unity3d directory as fact
  set_fact:
    unity3d_path: "{{ interactive_user.home }}/unity3d"
  tags:
    - content

- name: Create Unity3D directory
  file:
    state: directory
    name: "{{ unity3d_path }}"
    owner: "{{ interactive_user.name }}"
    group: "{{ interactive_user.name }}"

- name: Set unity3d directory as fact
  set_fact:
    unity3d_path: "{{ unity3d_path }}"
  tags:
    - content

- name: Create Unity3D subdirectories
  file:
    state: directory
    name: "{{ unity3d_path }}/{{ item }}"
    owner: "{{ interactive_user.name }}"
    group: "{{ interactive_user.name }}"
  with_items:
    - zip
    - tmp
    - cfg
    - prd
    - old

- name: Install unzip
  apt:
    name: 'unzip'
    update_cache: yes
  tags:
    - content

- name: Download content from Nextcloud
  command: "/usr/local/bin/nextcloud_update --config {{ interactive_user.home }}/.nextcloud.json {{ unity3d_contentdir | default(ansible_hostname) }}/{{ unity3d_content }}  {{ unity3d_path }}/zip/"
  register: update_content
  become_user: "{{ interactive_user.name }}"
  become: yes
  changed_when: "'not updated' not in update_content.stderr"
  notify:
    - unzip_content
    - update_content
    - update_unity
  tags:
    - content

- name: Download settings from Nextcloud
  command: "/usr/local/bin/nextcloud_update --config {{ interactive_user.home }}/.nextcloud.json {{ unity3d_settingsdir | default(ansible_hostname) }}/{{ unity3d_settings }}  {{ unity3d_path }}/cfg/"
  register: update_unity
  notify:
    - update_unity
  when: 'unity3d_settings is defined'
  changed_when: "'not updated' not in update_unity.stderr"
  tags:
    - content
    - settings
